//
//  DEMOView.h
//
//  Copyright 2010 NewTek. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface DEMOView : NSView
{
    CFStringRef _text;
    CGFloat _grad_components[8];
    NSRect _ignore_rect;
}

- (id)initWithFrame:(NSRect)frameRect;
- (void)dealloc;

// queries
- (BOOL)isFlipped;
- (BOOL)canBecomeKeyView;
- (BOOL)acceptsFirstResponder;
- (BOOL)becomeFirstResponder;
- (BOOL)resignFirstResponder;
- (BOOL)acceptsFirstMouse:(NSEvent *)theEvent;
- (BOOL)preservesContentDuringLiveResize;
- (BOOL)isOpaque;
- (BOOL)wantsDefaultClipping;

- (void)drawRect:(NSRect)rect;
- (void)setFrameSize:(NSSize)newSize;

// from NSResponder
- (void)mouseMoved:(NSEvent *)theEvent;

- (void)mouseDown:(NSEvent *)theEvent;
- (void)mouseDragged:(NSEvent *)theEvent;
- (void)mouseUp:(NSEvent *)theEvent;

- (void)rightMouseDown:(NSEvent *)theEvent;
- (void)rightMouseDragged:(NSEvent *)theEvent;
- (void)rightMouseUp:(NSEvent *)theEvent;

- (void)otherMouseDown:(NSEvent *)theEvent;
- (void)otherMouseDragged:(NSEvent *)theEvent;
- (void)otherMouseUp:(NSEvent *)theEvent;

- (void)scrollWheel:(NSEvent *)theEvent;

- (void)keyDown:(NSEvent *)theEvent;
- (void)keyUp:(NSEvent *)theEvent;
- (void)flagsChanged:(NSEvent *)theEvent;

- (void)cursorUpdate:(NSEvent *)event;
- (void)mouseEntered:(NSEvent *)theEvent;
- (void)mouseExited:(NSEvent *)theEvent;

- (void)setIgnoreFrame:(NSRect)frame;

@end
